com.genesyslab.wfm7.API.service.locator

## Class Location

- java.lang.Object
- - com.genesyslab.wfm7.API.service.locator.Location

- All Implemented Interfaces:
    java.io.Serializable

      public class Location
      extends java.lang.Object
      implements java.io.Serializable

  Defines location of the service
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `backupURL` Contains an URL to the Session service of backup server of located server.
    `private java.lang.String` | `backupWSDL` Contains URL to the session service WSDL provider of backup server.
    `private java.lang.String` | `sessionServiceURL` Contains an URL to the Session service of the located server.
    `private java.lang.String` | `sessionServiceWSDL` Contains an URL to the Session service WSDL provider.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location()`
    `Location(java.lang.String sessionServiceURL, java.lang.String sessionServiceWSDL, java.lang.String backupURL, java.lang.String backupWSDL)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getBackupURL()` Gets the backupURL value for this Location.
    `java.lang.String` | `getBackupWSDL()` Gets the backupWSDL value for this Location.
    `java.lang.String` | `getSessionServiceURL()` Gets the sessionServiceURL value for this Location.
    `java.lang.String` | `getSessionServiceWSDL()` Gets the sessionServiceWSDL value for this Location.
    `int` | `hashCode()`
    `void` | `setBackupURL(java.lang.String backupURL)` Sets the backupURL value for this Location.
    `void` | `setBackupWSDL(java.lang.String backupWSDL)` Sets the backupWSDL value for this Location.
    `void` | `setSessionServiceURL(java.lang.String sessionServiceURL)` Sets the sessionServiceURL value for this Location.
    `void` | `setSessionServiceWSDL(java.lang.String sessionServiceWSDL)` Sets the sessionServiceWSDL value for this Location.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionServiceURL

          private java.lang.String sessionServiceURL

      Contains an URL to the Session service of the located server.

    - #### sessionServiceWSDL

          private java.lang.String sessionServiceWSDL

      Contains an URL to the Session service WSDL provider. Some SOAP proxies require it to establish connection to the service.

    - #### backupURL

          private java.lang.String backupURL

      Contains an URL to the Session service of backup server of located server.

    - #### backupWSDL

          private java.lang.String backupWSDL

      Contains URL to the session service WSDL provider of backup server.

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### Location

          public Location()

    - #### Location

          public Location(java.lang.String sessionServiceURL,
                  java.lang.String sessionServiceWSDL,
                  java.lang.String backupURL,
                  java.lang.String backupWSDL)

  - ### Method Detail

    - #### getSessionServiceURL

          public java.lang.String getSessionServiceURL()

      Gets the sessionServiceURL value for this Location.
      Returns:
        sessionServiceURL

    - #### setSessionServiceURL

          public void setSessionServiceURL(java.lang.String sessionServiceURL)

      Sets the sessionServiceURL value for this Location.
      Parameters:
        `sessionServiceURL` -

    - #### getSessionServiceWSDL

          public java.lang.String getSessionServiceWSDL()

      Gets the sessionServiceWSDL value for this Location.
      Returns:
        sessionServiceWSDL

    - #### setSessionServiceWSDL

          public void setSessionServiceWSDL(java.lang.String sessionServiceWSDL)

      Sets the sessionServiceWSDL value for this Location.
      Parameters:
        `sessionServiceWSDL` -

    - #### getBackupURL

          public java.lang.String getBackupURL()

      Gets the backupURL value for this Location.
      Returns:
        backupURL

    - #### setBackupURL

          public void setBackupURL(java.lang.String backupURL)

      Sets the backupURL value for this Location.
      Parameters:
        `backupURL` -

    - #### getBackupWSDL

          public java.lang.String getBackupWSDL()

      Gets the backupWSDL value for this Location.
      Returns:
        backupWSDL

    - #### setBackupWSDL

          public void setBackupWSDL(java.lang.String backupWSDL)

      Sets the backupWSDL value for this Location.
      Parameters:
        `backupWSDL` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.